JUCE: dsp::SpecialFunctions Struct Reference

JUCE

Static Public Member Functions | List of all members
dsp::SpecialFunctions Struct Reference
juce_dsp » maths

Contains miscellaneous filter design and windowing functions. More...

`#include <juce_SpecialFunctions.h>`

## Static Public Member Functions
static double | besselI0 (double x) noexcept
| Computes the modified Bessel function of the first kind I0 for a given double value x. More...
static void | ellipticIntegralK (double k, double &K, double &Kp) noexcept
| Computes the complete elliptic integral of the first kind K for a given double value k, and the associated complete elliptic integral of the first kind Kp for the complementary modulus of k. More...
static Complex< double > | cde (Complex< double > u, double k) noexcept
| Computes the Jacobian elliptic function cd for the elliptic modulus k and the quarter-period units u. More...
static Complex< double > | sne (Complex< double > u, double k) noexcept
| Computes the Jacobian elliptic function sn for the elliptic modulus k and the quarter-period units u. More...
static Complex< double > | asne (Complex< double > w, double k) noexcept
| Computes the inverse of the Jacobian elliptic function sn for the elliptic modulus k and the quarter-period units u. More...

## Detailed Description

Contains miscellaneous filter design and windowing functions.

## Member Function Documentation

## ◆ besselI0()

static double dsp::SpecialFunctions::besselI0 | ( | double | x | ) |
| staticnoexcept

Computes the modified Bessel function of the first kind I0 for a given double value x.

Modified Bessel functions are useful to solve various mathematical problems involving differential equations.

## ◆ ellipticIntegralK()

static void dsp::SpecialFunctions::ellipticIntegralK | ( | double | k,
|  | double & | K,
|  | double & | Kp
| ) |  |
| staticnoexcept

Computes the complete elliptic integral of the first kind K for a given double value k, and the associated complete elliptic integral of the first kind Kp for the complementary modulus of k.

## ◆ cde()

static Complex< double > dsp::SpecialFunctions::cde | ( | Complex< double > | u,
|  | double | k
| ) |  |
| staticnoexcept

Computes the Jacobian elliptic function cd for the elliptic modulus k and the quarter-period units u.

## ◆ sne()

static Complex< double > dsp::SpecialFunctions::sne | ( | Complex< double > | u,
|  | double | k
| ) |  |
| staticnoexcept

Computes the Jacobian elliptic function sn for the elliptic modulus k and the quarter-period units u.

## ◆ asne()

static Complex< double > dsp::SpecialFunctions::asne | ( | Complex< double > | w,
|  | double | k
| ) |  |
| staticnoexcept

Computes the inverse of the Jacobian elliptic function sn for the elliptic modulus k and the quarter-period units u.

The documentation for this struct was generated from the following file:

- juce_SpecialFunctions.h